using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Recurit.Exam.Service.Migrations
{
    /// <inheritdoc />
    public partial class update_tables_periodExam_and_positionExam : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "EducationLevel",
                table: "PositionExams",
                type: "varchar(50)",
                maxLength: 50,
                nullable: true,
                comment: "ขีดจำกัดวุฒิการศึกษา")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<int>(
                name: "GraduationYearLock",
                table: "PeriodExams",
                type: "int",
                nullable: true,
                comment: "ล็อกวันที่สำเร็จการศึกษา (ปี)");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "EducationLevel",
                table: "PositionExams");

            migrationBuilder.DropColumn(
                name: "GraduationYearLock",
                table: "PeriodExams");
        }
    }
}
